FreshBooks – Gotchas

Service ID: freshbooks

The best cloud based small business accounting software. Send invoices, track time, manage receipts, expenses, and accept credit cards.

⚠️

26 gotchas across 11 resources

These are connector-specific behaviors and limitations to be aware of when integrating.

Bill Payments3 gotchas

allbillPaymentsAll

The Freshbooks Bills api is currently in beta.

updatebillPaymentsUpdate

The transaction_date field is required.

deletebillPaymentsDelete

Delete will set the payment to inactive and will soft delete it, meaning it will stop appearing in the list API call. However, it can still be found via the get by id call.

Bills3 gotchas

allbillsAll

The Freshbooks Bills api is currently in beta.

onebillsOne

The Freshbooks Bills api is currently in beta.

deletebillsDelete

Delete will set the bill to inactive and will soft delete it, meaning it will stop appearing in the list API call. However, it can still be found via the get by id call.

Credit Notes2 gotchas

allcreditNotesAll

The Freshbooks Bills api is currently in beta.

deletecreditNotesDelete

Delete will set the credit note to inactive and will soft delete it, meaning it will stop appearing in the list API call. However, it can still be found via the get by id call.

Customers3 gotchas

addcustomersAdd

Freshbooks API set status to active by default for new customers. To change the status, you can use the Update Customer endpoint.

updatecustomersUpdate

The status field can be updated to either "active" or "archived".

deletecustomersDelete

Delete will set the customer to inactive and will soft delete it, meaning it will stop appearing in the list API call. However, it can still be found via the get by id call.

Invoice Items2 gotchas

allinvoiceItemsAll

The Freshbooks Bills api is currently in beta.

deleteinvoiceItemsDelete

Delete will set the invoice item to inactive and will soft delete it, meaning it will stop appearing in the list API call. However, it can still be found via the get by id call.

Invoices5 gotchas

allinvoicesAll

FreshBooks supports up to two taxes per line item (taxName1/taxAmount1 and taxName2/taxAmount2). The unified API supports one tax_rate per line item, so Apideck maps the tax with the largest rate as tax_rate (name, rate, code) and sets tax_amount to the combined total of both taxes applied to the line.

If you need both individual tax values, use the raw query parameter (?raw=true) to access the original FreshBooks response, where both taxName1/taxAmount1 and taxName2/taxAmount2 are available on each line item.

addinvoicesAdd

The status field can be set to either "submitted", "partially_paid", "paid" or "draft". The due_date and invoice_date fields are required for the invoice to be created.

oneinvoicesOne

FreshBooks supports up to two taxes per line item (taxName1/taxAmount1 and taxName2/taxAmount2). The unified API supports one tax_rate per line item, so Apideck maps the tax with the largest rate as tax_rate (name, rate, code) and sets tax_amount to the combined total of both taxes applied to the line.

If you need both individual tax values, use the raw query parameter (?raw=true) to access the original FreshBooks response, where both taxName1/taxAmount1 and taxName2/taxAmount2 are available on each line item.

updateinvoicesUpdate

The status field can be set to either "submitted" or "draft". The other available statuses are set by the Freshbooks API and cannot be updated manually. The due_date and invoice_date fields are required for the due date to be updated.

deleteinvoicesDelete

Delete will set the invoice to inactive and will soft delete it, meaning it will stop appearing in the list API call. However, it can still be found via the get by id call.

alljournalEntriesAll

FreshBooks does not expose a total record count in list responses. meta.total_count will not appear.

allledgerAccountsAll

The Freshbooks Bills api is currently in beta.

Payments2 gotchas

allpaymentsAll

The Freshbooks Bills api is currently in beta.

deletepaymentsDelete

Delete will set the payment to inactive and will soft delete it, meaning it will stop appearing in the list API call. However, it can still be found via the get by id call.

Suppliers3 gotchas

addsuppliersAdd

Freshbooks API set status to active by default for new suppliers. To change the status, you can use the Update Supplier endpoint.

updatesuppliersUpdate

The status field can be updated to either "active" or "archived".

deletesuppliersDelete

Delete will set the supplier to inactive and will soft delete it, meaning it will stop appearing in the list API call.

Tax Rates1 gotcha

alltaxRatesAll

The Freshbooks Bills api is currently in beta.